HostingDelivery
Create Delivery domain
POST
/api/delivery/domainsCreates a Delivery domain for the current customer context.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Delivery domain name.
customer_code?string
Customer code that will own the domain. Admin only.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/domains" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"resources": [
{
"created_at": "string",
"name": "string",
"code": "string",
"status": 0,
"display_status": "enabled",
"dns_verification_status": "not_verified",
"dkim_last_checked_at": "string",
"dkim_last_check_ok": "string",
"dkim_tr_last_check_ok": "string",
"dkim_nl_last_check_ok": "string",
"spf_last_checked_at": "string",
"spf_last_check_ok": "string",
"approval_status": "need_approval",
"status_detail": "ok",
"dkim_selector_tr": "string",
"dkim_selector_nl": "string",
"cname_verification_records": "string",
"txt_spf_record": "string",
"suggested_dmarc_record": "string",
"customer_fullname": "string",
"customer_code": "string",
"accounts_count": "string",
"accounts": "string",
"manager_fullname": "string",
"manager_code": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}